| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Num.OptFileAnalysisClient Class Reference

File analysis client. Passes direct analysis request to the server and gets analysis results from it. More...

Inheritance diagram for IG.Num.OptFileAnalysisClient:
[legend]
Collaboration diagram for IG.Num.OptFileAnalysisClient:
[legend]

## Public Member Functions
| OptFileAnalysisClient (string directoryPath)
| Constructs optimization file client. More...
Public Member Functions inherited from IG.Num.AnalysisBase
abstract void | Analyse (IAnalysisResults analysisData)
| Performs analysis - calculates requested results and writes them to the provided data structure. More...

## Protected Member Functions
virtual OptFileManager | CreateOptFileManager (string directoryPath)
| Creates and returns an appropriate file manager for optimization file client/server. This method must be overridden in the derived classes. More...

## Properties
OptFileManager | FileManager`[get, protected set]`
| Optimization client/server file manager used by the current analysis server. More...
AnalysisResults | AnalysisPoint`[get, protected set]`
| Last analysis request or results. More...
Properties inherited from IG.Num.AnalysisBase
object | Lock`[get]`
virtual int | NumParameters`[get, set]`
| Number of parameters. More...
virtual int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0). More...
virtual int | NumConstraints`[get, set]`
| Number of constraints. More...
virtual int | NumEqualityConstraints`[get, set]`
| Number of equality constraints. More...
Properties inherited from IG.Num.IAnalysis
int | NumParameters`[get, set]`
| Number of parameters. More...
int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0). More...
int | NumConstraints`[get, set]`
| Number of constraints. More...
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Private Member Functions
| OptFileAnalysisClient ()
| Prevent calling argument-less constructor. More...

## Private Attributes
OptFileManager | _fileManager
AnalysisResults | _analysisPoint

## Additional Inherited Members
Protected Attributes inherited from IG.Num.AnalysisBase
int | _numParameters = -1
int | _numObjectives = -1
int | _numConstraints = -1
int | _numEqualityConstraints = -1

## Detailed Description

File analysis client. Passes direct analysis request to the server and gets analysis results from it.

WARNING: This module is taken from Dragonfly opt. server and adapted for purpose of some projects. If necessary to further develop, synchronize (and possibly merge) with Dragonfly, otherwise there will be problems with consistent development of both branches. WARNING: Only a part of file analysis client is taken from Dragonfly, be careful with sync. (the best way is to do modifications in Dragonfly's code and then transfer them to IGLib).

$A Igor jul08 Mar11;

## Constructor & Destructor Documentation

IG.Num.OptFileAnalysisClient.OptFileAnalysisClient | ( |  | ) |
| inline private

Prevent calling argument-less constructor.

IG.Num.OptFileAnalysisClient.OptFileAnalysisClient | ( | string | directoryPath | ) |
| inline

Constructs optimization file client.

Parameters

  directoryPath | Directory where data exchange and message files are located.

## Member Function Documentation

virtual OptFileManager IG.Num.OptFileAnalysisClient.CreateOptFileManager | ( | string | directoryPath | ) |
| inline protected virtual

Creates and returns an appropriate file manager for optimization file client/server. This method must be overridden in the derived classes.

Parameters

  directoryPath | Directory where data exchange and message files are located.

## Member Data Documentation

OptFileManager IG.Num.OptFileAnalysisClient._fileManager
| private

AnalysisResults IG.Num.OptFileAnalysisClient._analysisPoint
| private

## Property Documentation

OptFileManager IG.Num.OptFileAnalysisClient.FileManager
| get protected set

Optimization client/server file manager used by the current analysis server.

AnalysisResults IG.Num.OptFileAnalysisClient.AnalysisPoint
| get protected set

Last analysis request or results.

The documentation for this class was generated from the following file:

- igbase/optimization/fileserver/OptFileAnalysisClient.cs